%define	_snapshot	-pre20000412

Summary:	Talk client for one-on-one Internet chatting.
Name:		talk
Version:	0.17
Release:	8mdk
License:	BSD
Group:		Networking/Chat  
BuildRequires:	ncurses-devel
Obsoletes:	ntalk
Provides:	ntalk
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://sunsite.unc.edu/pub/Linux/system/network/chat/netkit-ntalk-%{version}%{_snapshot}.tar.bz2
Source1:	talk-xinetd
Source2:	ntalk-xinetd
Patch:		netkit-ntalk-0.17-pre20000412-time.patch.bz2

%package server
Group: System/Servers
Summary: Server for the talk program
Obsoletes: ntalk
Requires: xinetd

%description
The talk package provides client and daemon programs for the Internet
talk protocol, which allows you to chat with other users on different
systems.  Talk is a communication program which copies lines from one
terminal to the terminal of another user.

Install talk if you'd like to use talk for chatting with users on
different systems.

%description server
The talk-server package provides daemon programs for the Internet talk
protocol, which allows you to chat with other users on different
machines.  Talk is a communication program which copies lines from one
terminal to the terminal of another user.

%prep
%setup -q -n netkit-ntalk-%{version}%{_snapshot}
%patch0 -p1 -b .glibc22

%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS) -D_GNU_SOURCE,;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},usr/sbin,%{_mandir}/man{1,8}}

make INSTALLROOT=$RPM_BUILD_ROOT install MANDIR=%{_mandir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/talk
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/ntalk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/talk
%{_mandir}/man1/talk.1.bz2

%files server
%defattr(-,root,root)
%attr(0711,root,root)%{_sbindir}/in.ntalkd
%{_sbindir}/in.talkd
%{_mandir}/man8/in.ntalkd.8*
%{_mandir}/man8/in.talkd.8*
%{_mandir}/man8/ntalkd.8*
%{_mandir}/man8/talkd.8*
%config (noreplace) %{_sysconfdir}/xinetd.d/*

%changelog
* Sun Jun 15 2003 Stefan van der Eijk <stefan@eijk.nu> 0.17-8mdk
- BuildRequires

* Wed Apr  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.17-7mdk
- Rebuild to handle biarch struct utmp on hammer, though talkd doesn't
  use the ut_ fields that changed

* Fri Apr 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-6mdk
- Upgrade description.
- talk-server depend of xinetd.
- More glibc2.2 fix.
- Fix xinetd entry.
- Update to the last pre20000412 to get it works.

* Mon Mar 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.17-5mdk
- fix build on glibc 2.2.2 strict headers

* Thu Dec 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-4mdk
- stream for talk protocol.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-3mdk
- Fix xinetd support.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.17-2mdk
- automatically added BuildRequires

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- new version

* Wed Jul 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-2mdk
- fix silly problem with xinetd files

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.16-1mdk
- much needed update to 0.16
- use sbindir macro (thierry sucks)
- make daemons -rwx--x--x (rawhide)
- xinetd move

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-5mdk
- macros, BM, _spechelper_

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.11-4mdk
- fix group for release 7.1

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- Rebuild for new distribution
- Minor Specfile cleanup

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 09 1999 Jeff Johnson <jbj@redhat.com>
- update to multi-homed 0.11 version.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
